---
title: "CLI init command"
sidebarTitle: "init"
description: "Use these options when running the CLI `init` command."
---

import CommonOptions from '/snippets/cli-options-common.mdx';

Run the command like this:

<CodeGroup>

```bash npm
npx trigger.dev@latest init
```

```bash pnpm
pnpm dlx trigger.dev@latest init
```

```bash yarn
yarn dlx trigger.dev@latest init
```

</CodeGroup>

## Options

<ParamField body="Javascript" type="--javascript">
  By default, the init command assumes you are using TypeScript. Use this flag to initialize a
  project that uses JavaScript.
</ParamField>

<ParamField body="Project ref" type="--project-ref | -p">
  The project ref to use when initializing the project.
</ParamField>

<ParamField body="Package tag" type="--tag | -t">
  The version of the `@trigger.dev/sdk` package to install. Defaults to `latest`.
</ParamField>

<ParamField body="Skip package install" type="--skip-package-install">
  Skip installing the `@trigger.dev/sdk` package.
</ParamField>

<ParamField body="Override config" type="--override-config">
  Override the existing config file if it exists.
</ParamField>

<ParamField body="Package arguments" type="--pkg-args">
  Additional arguments to pass to the package manager. Accepts CSV for multiple args.
</ParamField>

### Common options

These options are available on most commands.

<CommonOptions />
